Bug 1763 - [UPDATE REQUEST] audiofile 0.3.5 -> 0.3.6
: [UPDATE REQUEST] audiofile 0.3.5 -> 0.3.6
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-11 16:42 MSK by Andrey Bondrov
Modified: 2013-03-18 12:38 MSK (History)
4 users (show)

See Also:
RPM Package: audiofile
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-03-11 16:42:45 MSK
New version 0.3.6 is released.
Comment 1 Andrey Bondrov 2013-03-11 16:44:19 MSK
Advisory: 

"New version 0.3.6 is released. Changes since 0.3.5:
- Implement FLAC and ALAC encoding and decoding.
- Update license to LGPL 2.1."

https://abf.rosalinux.ru/build_lists/1016830
https://abf.rosalinux.ru/build_lists/1016831
Comment 2 Vladimir Potapov 2013-03-12 12:43:45 MSK
Please, add to requires new version of library. On my x64 test system the package set up without new library. 

**********************
#urpmi audiofile


    http://abf.rosalinux.ru/downloads/rosa2012.1/container/1016831/x86_64/main/release/audiofile-0.3.6-1-rosa2012.1.x86_64.rpm
устанавливается audiofile-0.3.6-1-rosa2012.1.x86_64.rpm из /var/cache/urpmi/rpms                                   
Подготовка...                    #################################################################################
      1/1: audiofile             #################################################################################
***********************
Comment 3 Andrey Bondrov 2013-03-12 16:24:30 MSK
It's really bad practice to use
Requires: %{libname} = %{EVRD}

Both main program and its library must be updated via regular full system update, not via manual packages installation.
Comment 4 Vladimir Potapov 2013-03-12 17:15:05 MSK
Hm. 
The real case:
1) Auto update disabled (netbook, low-speed mobile internet channel)
2) urpmi audiofile 
3) non working program (old library version set up with k3b)

To what can cause your "bad practice"?
Comment 5 Andrew Lukoshko 2013-03-12 17:49:11 MSK
I agree with Vladimir.
It would be strange if subpackages from one SRPM will have different versions in installed OS.
Comment 6 Aleksandr Kazantcev 2013-03-12 17:51:38 MSK
You add full container? It strange that audifile install without new lib - new version present in container too.
Comment 7 Vladimir Potapov 2013-03-12 17:59:12 MSK
(In reply to comment #6)
> You add full container? It strange that audifile install without new lib -
> new version present in container too.
	
If I upgrade the system then everything is fine. But if I install a package, the new version of the library is not installed because the old version is present in the system.
Comment 8 Andrey Bondrov 2013-03-12 18:29:14 MSK
(In reply to comment #4)
> Hm. 
> The real case:
> 1) Auto update disabled (netbook, low-speed mobile internet channel)
> 2) urpmi audiofile 
> 3) non working program (old library version set up with k3b)
> 
> To what can cause your "bad practice"?

More common case:
1) Some library was updated with ABI changes
2) All dependent packages were rebuild
3) Instead of updating whole set of packages user installs only one of them
4) Result: 
Unable to load dynamic library XXX, undefined symbol: YYY
Segmentation fault

While it's not a big deal to avoid this case for packages build from one SRPM, there is no good solution for packages built from different SRPMs. Unless we want to make package maintenance really complicated by adding explicit versioned Requires instead of relying on RPM dependency generator.
Comment 9 Vladimir Potapov 2013-03-12 19:10:42 MSK
I do not advocate a separate installation instead of updates. 
But hard dependencies for packages from one of the sources allow, as far as I understand, to avoid those errors, about which you wrote. 
I would like to ask you as the experienced maintainer - what errors can occur in the wrote hard dependencies in the case of one SRPM?
Comment 10 Vladimir Potapov 2013-03-13 12:27:06 MSK
http://bugs.rosalinux.ru/show_bug.cgi?id=1775
Comment 11 Vladimir Potapov 2013-03-13 12:28:35 MSK
audiofile-0.3.6-1-rosa2012.1
******************* Advisory *********************
New version 0.3.6 is released. Changes since 0.3.5:
- Implement FLAC and ALAC encoding and decoding.
- Update license to LGPL 2.1.
**************************************************
QA Verified